cdac.medinfo.sdk.hl7282.baselibs.segments

## Class RMI

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.RMI

- All Implemented Interfaces:
    ISegment

      public class RMI
      extends Segment

  RMI - Risk Management Incident Segment.

  RMI segment is used to report an occurrence of an incident event pertaining or attaching to a patient encounter

  Represents an HL7 RMI message segment. This segment has the following fields:

  RMI-1: Risk Management Incident Code (CWE)Optional
  RMI-2: Date/Time Incident (DTM)Optional
  RMI-3: Incident Type Code (CWE)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RMI()` Constucts the RMI segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DTM` | `getDateOrTimeIncident()` Retrieves the Date Or Time Incident.
    `CWE` | `getIncidentTypeCode()` Retrieves the Incident Type Code This field specify the code depicting a classification of the incident type.
    `CWE` | `getRiskManagementIncidentCode()` Retrieves the Risk Management Incident Code.
    `void` | `setDateOrTimeIncident(DTM dateOrTimeIncident)` Set the Date Or Time Incident.
    `void` | `setDateOrTimeIncident(java.lang.String strTime)` Set the Date Or Time Incident.
    `void` | `setIncidentTypeCode(CWE incidentTypeCode)` Set the Incident Type Code This field specify the code depicting a classification of the incident type.
    `void` | `setIncidentTypeCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Incident Type Code This field specify the code depicting a classification of the incident type.
    `void` | `setRiskManagementIncidentCode(CWE riskManagementIncidentCode)` Set the Risk Management Incident Code.
    `void` | `setRiskManagementIncidentCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Risk Management Incident Code.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RMI

          public RMI()

      Constucts the RMI segment.

  - ### Method Detail

    - #### getDateOrTimeIncident

          public DTM getDateOrTimeIncident()

      Retrieves the Date Or Time Incident.
      Returns:
        DTM - dateOrTimeIncident

    - #### getIncidentTypeCode

          public CWE getIncidentTypeCode()

      Retrieves the Incident Type Code This field specify the code depicting a classification of the incident type.
      Returns:
        CWE - incidentTypeCode

    - #### getRiskManagementIncidentCode

          public CWE getRiskManagementIncidentCode()

      Retrieves the Risk Management Incident Code. This field specify the code depicting the incident that occurred during a patient's stay.
      Returns:
        CWE - riskManagementIncidentCode

    - #### setDateOrTimeIncident

          public void setDateOrTimeIncident(java.lang.String strTime)

      Set the Date Or Time Incident.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setDateOrTimeIncident

          public void setDateOrTimeIncident(DTM dateOrTimeIncident)

      Set the Date Or Time Incident.
      Parameters:
        `dateOrTimeIncident` -

    - #### setIncidentTypeCode

          public void setIncidentTypeCode(java.lang.String strIdentifier,
                                 java.lang.String strText,
                                 java.lang.String strNameOfCodingSystem,
                                 java.lang.String strAlternateIdentifier,
                                 java.lang.String strAlternateText,
                                 java.lang.String strNameOfAlternateCodingSystem,
                                 java.lang.String strCodingSystemVersionID,
                                 java.lang.String strAlternateCodingSystemVersionId,
                                 java.lang.String strOriginalText,
                                 java.lang.String strSecondAlternateIdentifier,
                                 java.lang.String strSecondAlternateText,
                                 java.lang.String strNameofSecondAlternateCodingSystem,
                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                 java.lang.String strCodingSystemOID,
                                 java.lang.String strValueSetOID,
                                 java.lang.String strValueSetVersionID,
                                 java.lang.String strAlternateCodingSystemOID,
                                 java.lang.String strAlternateValueSetOID,
                                 java.lang.String strAlternateValueSetVersionID,
                                 java.lang.String strSecondAlternateCodingSystemOID,
                                 java.lang.String strSecondAlternateValueSetOID,
                                 java.lang.String strSecondAlternateValueSetVersionID)

      Set the Incident Type Code This field specify the code depicting a classification of the incident type.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setIncidentTypeCode

          public void setIncidentTypeCode(CWE incidentTypeCode)

      Set the Incident Type Code This field specify the code depicting a classification of the incident type.
      Parameters:
        `incidentTypeCode` -

    - #### setRiskManagementIncidentCode

          public void setRiskManagementIncidentCode(java.lang.String strIdentifier,
                                           java.lang.String strText,
                                           java.lang.String strNameOfCodingSystem,
                                           java.lang.String strAlternateIdentifier,
                                           java.lang.String strAlternateText,
                                           java.lang.String strNameOfAlternateCodingSystem,
                                           java.lang.String strCodingSystemVersionID,
                                           java.lang.String strAlternateCodingSystemVersionId,
                                           java.lang.String strOriginalText,
                                           java.lang.String strSecondAlternateIdentifier,
                                           java.lang.String strSecondAlternateText,
                                           java.lang.String strNameofSecondAlternateCodingSystem,
                                           java.lang.String strSecondAlternateCodingSystemVersionID,
                                           java.lang.String strCodingSystemOID,
                                           java.lang.String strValueSetOID,
                                           java.lang.String strValueSetVersionID,
                                           java.lang.String strAlternateCodingSystemOID,
                                           java.lang.String strAlternateValueSetOID,
                                           java.lang.String strAlternateValueSetVersionID,
                                           java.lang.String strSecondAlternateCodingSystemOID,
                                           java.lang.String strSecondAlternateValueSetOID,
                                           java.lang.String strSecondAlternateValueSetVersionID)

      Set the Risk Management Incident Code. This field specify the code depicting the incident that occurred during a patient's stay.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setRiskManagementIncidentCode

          public void setRiskManagementIncidentCode(CWE riskManagementIncidentCode)

      Set the Risk Management Incident Code. This field specify the code depicting the incident that occurred during a patient's stay.
      Parameters:
        `riskManagementIncidentCode` -

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation chcecks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails.